<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="subMarcaEGrupoPorVendedorMarca" pageWidth="555" pageHeight="802" columnWidth="555" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="90fc2558-bca1-4b17-8bff-bc31a7399d3e">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="idMarcaSub" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="idEmpresa" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataCompFinal" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="dataCompInicial" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="totalMarca" class="java.lang.Double"/>
	<parameter name="totalQnt" class="java.lang.Double"/>
	<parameter name="idGrupo" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["/Users/Tarcisio/documents/desenv/Ambiente/workspace/nepalign/src/relatorios/"]]></defaultValueExpression>
	</parameter>
	<parameter name="cupom" class="java.lang.Boolean"/>
	<parameter name="dataSourceGrupo" class="java.lang.Object"/>
	<parameter name="idMarca" class="java.lang.String"/>
	<queryString>
		<![CDATA[SELECT concat(ven.codigoVendedorCache,' - ',ven.nome) as vendedor,  sum(item.quantidade-if(item.entradaSaida='E',(item.quantidade*2 ),0))  as 'Qt Compra',
sum(if(item.entradasaida ='S',item.precoVenda * item.quantidade,(item.precoVenda * item.quantidade)*(-1))) as 'totalVenda',prod.idmarca,prod.idGrupoProduto

FROM itempedidovenda item
left outer JOIN pedidovenda pv on pv.idPedidoVenda = item.idPedidoVenda
left outer JOIN vendedor ven on ven.idVendedor = pv.idVendedor
left outer JOIN produto prod  ON prod.idProduto = item.idProduto
left outer JOIN grupoproduto grupo ON grupo.idGrupoProduto = prod.idGrupoProduto
where if(pv.idsituacaoPedidoVenda is null,true,pv.idsituacaoPedidoVenda not in(5))
and pv.idTipoMovimentacaoEstoque not in(3,4)
and  if($P{dataCompInicial}<>"",pv.dataVenda >= $P{dataCompInicial},pv.idpedidovenda is not null)
and if($P{dataCompFinal}<>"",pv.dataVenda <= $P{dataCompFinal},pv.idpedidovenda is not null)
and if($P{idEmpresa} is not null,pv.idempresafisica in($P!{idEmpresa}),pv.idpedidovenda is not null)
and if($P{idGrupo} <> "", grupo.idGrupoProduto = $P{idGrupo}, pv.idPedidoVenda is not null)
and if($P{idMarcaSub} <> "", prod.idMarca = $P{idMarcaSub}, pv.idPedidoVenda is not null)
and if($P{cupom},true,pv.idcupomfiscal is not null)
group by ven.idvendedor
order by sum(if(item.entradasaida ='S',item.precoVenda * item.quantidade,(item.precoVenda * item.quantidade)*(-1))) desc]]>
	</queryString>
	<field name="vendedor" class="java.lang.String"/>
	<field name="Qt Compra" class="java.lang.Double"/>
	<field name="totalVenda" class="java.lang.Double"/>
	<field name="idmarca" class="java.lang.Integer">
		<fieldDescription><![CDATA[marca:Marca::lupa]]></fieldDescription>
	</field>
	<field name="idGrupoProduto" class="java.lang.Integer">
		<fieldDescription><![CDATA[grupo:Grupo::descricao:combo]]></fieldDescription>
	</field>
	<variable name="porcetagemValor" class="java.lang.Double">
		<variableExpression><![CDATA[new Double((($F{totalVenda}*100)/$P{totalMarca})/100)]]></variableExpression>
	</variable>
	<variable name="totalQuantidade" class="java.lang.Long" resetType="Column" calculation="Sum">
		<variableExpression><![CDATA[$F{Qt Compra}]]></variableExpression>
	</variable>
	<variable name="porcetagemQuantidade" class="java.lang.Double">
		<variableExpression><![CDATA[new Double((($F{Qt Compra}*100)/$P{totalQnt})/100)]]></variableExpression>
	</variable>
	<variable name="rank" class="java.lang.Integer">
		<variableExpression><![CDATA[$V{REPORT_COUNT}]]></variableExpression>
	</variable>
	<summary>
		<band height="100" splitType="Stretch">
			<subreport>
				<reportElement uuid="318b2e28-2512-4a34-94fb-95d18a341c16" x="0" y="5" width="555" height="95"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="totalQnt">
					<subreportParameterExpression><![CDATA[$P{totalQnt}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idMarca">
					<subreportParameterExpression><![CDATA[$P{idMarca}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idEmpresa">
					<subreportParameterExpression><![CDATA[$P{idEmpresa}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idGrupo">
					<subreportParameterExpression><![CDATA[$P{idGrupo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="cupom">
					<subreportParameterExpression><![CDATA[$P{cupom}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataCompInicial">
					<subreportParameterExpression><![CDATA[$P{dataCompInicial}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataCompFinal">
					<subreportParameterExpression><![CDATA[$P{dataCompFinal}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataSourceGrupo">
					<subreportParameterExpression><![CDATA[$P{dataSourceGrupo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="totalMarca">
					<subreportParameterExpression><![CDATA[$P{totalMarca}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="idMarcaSub">
					<subreportParameterExpression><![CDATA[$F{idmarca}.toString()]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{dataSourceGrupo})]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "subMarcaEGrupoPorVendedorGrupo.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
